<app-title-card [title]="currentFolder.title" [actions]="true" [toFolders]="true"></app-title-card>
<mat-card class="card-detail">
  <mat-card-header>
    <mat-icon mat-card-avatar>folder</mat-icon>
    <mat-card-title class="is-size-5">{{ currentFolder.title }}</mat-card-title>
    <mat-card-subtitle class="is-size-6">{{
      currentFolder.description
    }}</mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>
    <p class="is-size-6">
      <span class="has-text-weight-bold">Creation date:</span> {{ currentFolder.creation_date | date }}
    </p>
  </mat-card-content>
  <mat-card-actions>
    <button mat-raised-button color="primary" (click)="openAddToFolderDialog()">
      Add Study Set
    </button>
    <button mat-button color="accent" (click)="openEditFolderDialog()">
      Edit
    </button>
    <button mat-button color="warn" (click)="openDeleteFolderDialog()">
      Delete
    </button>
  </mat-card-actions>
</mat-card>
<div *ngIf="currentFolder.study_set.length > 0" class="has-text-centered">
  <h3 class="is-size-3">Study Sets</h3>
</div>
<ng-container *ngFor="let studySet of currentFolder.study_set; let i = index">
  <mat-card *ngIf="studySet.title" class="card-detail">
    <mat-card-content>
      <div class="my-4">
        <h3 class="is-size-3">{{ studySet.title }}</h3>
        <h5 class="is-size-5">{{ studySet.description }}</h5>
      </div>
    </mat-card-content>
    <mat-card-actions>
      <button mat-button [routerLink]="['/home/study-sets/', studySet.id]">
        Open Study Set
      </button>
      <button mat-button color="warn" (click)="openRemoveStudySetDialog(studySet, i)">
        Remove Study Set
      </button>
    </mat-card-actions>
  </mat-card>
</ng-container>
